Codeforces 193A. Cutting Figure】的更多相关文章

看起来非常神,但仅仅有三种情况 -1 , 1 ,2..... A. Cutting Figure time limit per test 2 seconds memory limit per test 256 megabytes input standard input output standard output You've gotten an n × m sheet of squared paper. Some of its squares are painted. Let's mark…
题目链接:Cutting Out 题意:给定一个n长度的数字序列s,要求得到一个k长度的数字序列t,每次从s序列中删掉完整的序列t,求出能删次数最多的那个数字序列t. 题解:数字序列s先转换成不重复的数字序列,并记录各个数字重复的次数,然后按照重复次数从大到小排序.二分最大删除次数,最后再输出对应的序列t. #include <map> #include <cstdio> #include <iostream> #include <algorithm> us…
https://codeforces.com/problemset/problem/998/B 简单贪心题 代码如下: #include <stdio.h> #include <string.h> #include <iostream> #include <string> #include <math.h> #include <algorithm> #include <vector> #include <stack&…
这个题好像可以直接暴力过.我是先用num[len]统计所有每个长度的数量有多少,假如在长度为len下,如果要考虑旋转后和原来图案保持一致,我们用a表示在一个旋转单位中有几个长度为len的线段,b表示有几个这样的旋转单位,那么可以表示a*b=num[len],满足这样的a,b一定可以满足要求,这时候就可以发现只需要枚举因子暴力扫过去即可,我们用map存下所有点的位置,在枚举块的数量时是直接可以算出旋转角,那我们直接对所有点进行判断,旋转后是否存在这样的一个点.有一个坑,当num[len]长度为1时…
目录 @description@ @solution@ @accepted code@ @details@ @description@ 给定一个字符串 s 与正整数 k.现在你需要进行恰好一次操作: (1)将 s 切割成最多 k 个子串.即令 s = t1 + t2 + ... + tm (1 <= m <= k). (2)将其中的某些(不是全部) ti 翻转,得到 t1', t2', ... tm'. (3)重新拼合得到 s' = t1' + t2' + ... tm'. 求字典序最小化的…
题目:戳这里 题意:给n个数的数组,要求找k个数满足,这k个数在数组中出现的次数最多. 解题思路:k个数每个数出现次数都要最大化,可以想到二分下限,主要是正确的二分不好写. 附ac代码: 1 #include <bits/stdc++.h> 2 typedef long long ll; 3 const int maxn = 1e6+10; 4 const ll inf = 1e18; 5 using namespace std; 6 int cnt[maxn]; 7 int s[maxn];…
A. Exams 枚举分数为3.4.5的数量,然后计算出2的数量即可. B. Square 相当于求\(\min{x(n+1)\ \%\ 4n=0}\) 打表发现,对\(n\ \%\ 4\)分类讨论即可. C. Cutting Figure 判断无向图的割点. 有割点显然只要删除掉1个,否则至少需要删掉2个点. D. Xor 显然操作1不会连续做若干次,所以直接暴力枚举即可. E. Hamming Distance 对于4个字符串来说,每一列都是独立的,而每列最多有\(2^4=16\)种可能,对…
版权声明:本文为博主原创文章.未经博主同意不得转载. https://blog.csdn.net/DaiHaoC83E15/article/details/26187183        回到作案现场:http://acdream.info/onecontest/1014        前言:自己出份山寨版的解题报告. - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -…
地址:http://acdream.info/onecontest/1014   都是来自Codeforce上简单题.   A. Boy or Girl 简单字符串处理   B. Walking in the Rain 每次能移动1或2的距离. 答案为,ans = min{ max{e(i), e(i+1)} (其中i从0->n-1) };   C. Cutting Figure 输入为一个nxm的矩阵,#都是连通区域,考虑4连通,去掉最少的#让#区域不连通. 首先说明,在矩阵中一个#的连接最少…
题目传送门 /* 贪心水题:首先,最少的个数为n最大的一位数字mx,因为需要用1累加得到mx, 接下来mx次循环,若是0,输出0:若是1,输出1,s[j]--: 注意:之前的0的要忽略 */ #include <cstdio> #include <iostream> #include <cstring> #include <string> #include <algorithm> #include <cmath> #include &…